summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp/Manifest2
-rw-r--r--dev-python/aiohttp/aiohttp-3.14.4.ebuild156
-rw-r--r--dev-python/amqp/Manifest1
-rw-r--r--dev-python/amqp/amqp-5.4.1.ebuild68
-rw-r--r--dev-python/cachetools/Manifest2
-rw-r--r--dev-python/cachetools/cachetools-7.2.1.ebuild (renamed from dev-python/cachetools/cachetools-7.1.7.ebuild)2
-rw-r--r--dev-python/filelock/Manifest2
-rw-r--r--dev-python/filelock/filelock-4.0.12.ebuild38
-rw-r--r--dev-python/google-api-core/Manifest2
-rw-r--r--dev-python/google-api-core/google-api-core-2.41.0.ebuild58
-rw-r--r--dev-python/google-auth/Manifest2
-rw-r--r--dev-python/google-auth/google-auth-2.60.0.ebuild63
-rw-r--r--dev-python/hcloud/Manifest1
-rw-r--r--dev-python/hcloud/hcloud-2.27.0.ebuild51
-rw-r--r--dev-python/hypothesis/Manifest8
-rw-r--r--dev-python/hypothesis/hypothesis-6.165.10.ebuild143
-rw-r--r--dev-python/hypothesis/hypothesis-6.168.4.ebuild (renamed from dev-python/hypothesis/hypothesis-6.166.0.ebuild)10
-rw-r--r--dev-python/jsonpath-ng/Manifest1
-rw-r--r--dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild39
-rw-r--r--dev-python/narwhals/Manifest2
-rw-r--r--dev-python/narwhals/narwhals-2.24.0.ebuild44
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-7.5.8.ebuild63
-rw-r--r--dev-python/pillow-heif/Manifest3
-rw-r--r--dev-python/pillow-heif/pillow-heif-1.8.0.ebuild (renamed from dev-python/pillow-heif/pillow-heif-1.4.0.ebuild)5
-rw-r--r--dev-python/pycares/Manifest1
-rw-r--r--dev-python/pycares/pycares-5.1.0.ebuild48
-rw-r--r--dev-python/sphinxcontrib-httpdomain/Manifest1
-rw-r--r--dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-2.1.0.ebuild43
-rw-r--r--dev-python/svglib/Manifest4
-rw-r--r--dev-python/svglib/svglib-2.3.0.ebuild (renamed from dev-python/svglib/svglib-2.1.0.ebuild)0
-rw-r--r--dev-python/tox/Manifest2
-rw-r--r--dev-python/tox/tox-4.64.9.ebuild84
-rw-r--r--dev-python/urwid/Manifest4
-rw-r--r--dev-python/urwid/urwid-4.2.5.ebuild (renamed from dev-python/urwid/urwid-4.0.13.ebuild)12
35 files changed, 752 insertions, 214 deletions
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 217c13b6e6b5..a2ec83c7f1d1 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,2 +1,4 @@
DIST aiohttp-3.14.3.tar.gz 7971213 BLAKE2B cdad9e58dd0b88ea1acf393237d7fd62fae8d9f1b0c3142987c9abd9c8821212d81bcac70ad9923026d3444bbfaf33fceb4bf91b77fbc55f1fe2fc5fe6f5f311 SHA512 5130673c6e8e798a20d717a89e142e626e669bf0a0db1750299e69970daacf7602012b837190a9e038b6402fcb711dee388b027dfca82b5f769b421ebaf53be7
DIST aiohttp-3.14.3.tar.gz.provenance 9781 BLAKE2B dcf0d39420f1b17fa7d369d3033305a67457cd771e8d16170643589a09a887a2d42dff150dff3e0a3e5bcf5b94af54b8da8a7f40791d9bb2f4165222bd0cb336 SHA512 7e20f865b2a11e3aec9d4005f5f70cd116884868a10c1a49ab4eb7fe3efd30b0f00f6152087ca39115dd37cf9901f53618bf65cd1d4368963369928c6d924b88
+DIST aiohttp-3.14.4.tar.gz 8077839 BLAKE2B d1d78d6fdbe41f3d97ab2d7383c40a9a83a91b4f84a7081c49d0caea359c6451494d7e02f8293b2b3310dedafacd31ce6f2bc07b65e3a9665ea8955a798b4b90 SHA512 5598c1e529dec29e6c19f447b596a6ddfb10927cfdf7b24e628b7eb1e73c3d9b2cab7e6c6bdf67cd3b7efb20756ff09fed9d94ef95242a0a761ba015aa492f2e
+DIST aiohttp-3.14.4.tar.gz.provenance 9728 BLAKE2B bc76e1ee3b2954d73bfd233734c9fb0d8941a713bd459135895ac5cefc88cc142a04cda0bf7622785593bb65f19106aa5044a0d5a4b8ea2f97fec97f20571b34 SHA512 ac268c76a200f6afc1e1d4488c873f062b314021c0d772c35a1c65b63ac081472a9ac1b02bb8966b42303683ab79b5d2d0dc437c3a0597f20402b707bb5e9413
diff --git a/dev-python/aiohttp/aiohttp-3.14.4.ebuild b/dev-python/aiohttp/aiohttp-3.14.4.ebuild
new file mode 100644
index 000000000000..77dd22bfa6f6
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.14.4.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/aio-libs/aiohttp
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions test-rust"
+
+DEPEND="
+ native-extensions? (
+ net-libs/llhttp:=
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/aiodns-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/aiohappyeyeballs-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/aiosignal-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ >=dev-python/brotlicffi-1.2[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/propcache-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.25.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/backports-zstd[${PYTHON_USEDEP}]
+ ' 3.12 3.13)
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ ' 3.12)
+"
+BDEPEND="
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ native-extensions? (
+ >=dev-python/cython-3.1.1[${PYTHON_USEDEP}]
+ dev-python/pkgconfig[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/blockbuster[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/isal[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ dev-python/zlib-ng[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( pytest-{mock,xdist} )
+EPYTEST_RERUNS=5
+: ${EPYTEST_TIMEOUT:=180}
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin dependencies
+ sed -i -e 's:, < [0-9.]*::' pyproject.toml || die
+ # increase the timeout a little
+ sed -e '/abs=/s/0.001/0.01/' -i tests/test_helpers.py || die
+ sed -i -e 's:-Werror::' Makefile || die
+ # remove vendored llhttp
+ rm -r vendor || die
+}
+
+python_configure() {
+ # check for .install-cython, so that we do this only once
+ if [[ ! -f .install-cython && ${EPYTHON} != pypy3 ]] &&
+ use native-extensions
+ then
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+ fi
+}
+
+python_compile() {
+ # implicitly disabled for pypy3
+ if [[ ${EPYTHON} == pypy3* ]] || ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ else
+ local -x AIOHTTP_USE_SYSTEM_DEPS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ # python_on_whales is not packaged
+ tests/autobahn/test_autobahn.py
+ # benchmarks
+ tests/test_benchmarks_client.py
+ tests/test_benchmarks_client_request.py
+ tests/test_benchmarks_client_ws.py
+ tests/test_benchmarks_cookiejar.py
+ tests/test_benchmarks_http_websocket.py
+ tests/test_benchmarks_http_writer.py
+ tests/test_benchmarks_web_fileresponse.py
+ tests/test_benchmarks_web_middleware.py
+ tests/test_benchmarks_web_response.py
+ tests/test_benchmarks_web_urldispatcher.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_nonzero_passed
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_passed_to_create_connection
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_zero_not_passed
+ tests/test_client_functional.py::test_invalid_idna
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ # https://github.com/aio-libs/aiohttp/issues/11400#issuecomment-4168569526
+ # https://github.com/python/cpython/issues/145599
+ # https://github.com/python/cpython/pull/145600
+ tests/test_cookie_helpers.py::test_parse_set_cookie_headers_uses_unquote_with_octal
+ # some warnings
+ tests/test_multipart.py::TestPartReader::test_read_decode_compressed_exceeds_max_size
+ )
+
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch
+ if [[ ${EPYTHON} == pypy3* ]] || ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ fi
+
+ rm -rf aiohttp || die
+ epytest -m "not internal and not dev_mode"
+}
diff --git a/dev-python/amqp/Manifest b/dev-python/amqp/Manifest
index dfcd557d0809..8712d2da842c 100644
--- a/dev-python/amqp/Manifest
+++ b/dev-python/amqp/Manifest
@@ -1,2 +1,3 @@
DIST amqp-5.3.1.tar.gz 129013 BLAKE2B e791792effba9efc7ceb320d7ece9fb5d8936ad0faf5c5519a63e419436258272271ab0f45b3828b6c68f9b8ab50641a73644c0c37687776cc7f5a29c3abd6f4 SHA512 4701ee40a6a88738ab2bb199114512af85f722afb99e2ee1d18c48563ceb6f925052315c5ca289e36db5d02aa72412b798442fd6c2f623d10a0ac43af3c2eca8
DIST amqp-5.4.0.tar.gz 131733 BLAKE2B 55d9749c1ab2e7d4a2b8ad3ea7da9274ebc41b329463d3063970200a6cf4b33b7792375bb2b9b65dab5afbfa71416420fcde7150e3dcc00e0a04f1cf079aaf33 SHA512 86b64089ff2a1d19f0b389dda550f1a47031267d17c48cc069f8b5ed8effd964057b85a12176939f80b266f36fe21211fb9ac037acd2383b39f06d71ee4b665e
+DIST amqp-5.4.1.tar.gz 132240 BLAKE2B a72b931933010afe2f9a67bf739495cac33d688f7b600bd9773d06550d8703c52edbeea47fd345fd2f565da0c3cba092fa00a431c232ddc64fa62b0081445582 SHA512 d71a16354757036e7c28f333f868c16348e7ca7de94af77d3d3e8b49510593b53cf53bb52d26ac13f14b37002149ed43d0f1bd94a88431b71ec427974c2c4041
diff --git a/dev-python/amqp/amqp-5.4.1.ebuild b/dev-python/amqp/amqp-5.4.1.ebuild
new file mode 100644
index 000000000000..0874659abe83
--- /dev/null
+++ b/dev-python/amqp/amqp-5.4.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Low-level AMQP client for Python (fork of amqplib)"
+HOMEPAGE="
+ https://github.com/celery/py-amqp/
+ https://pypi.org/project/amqp/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="extras"
+
+RDEPEND="
+ >=dev-python/vine-5.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ '>=dev-python/sphinx-celery-2.1.3'
+EPYTEST_PLUGINS=( pytest-rerunfailures )
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # fails when gssapi is installed (how does that test make sense?!)
+ t/unit/test_sasl.py::test_SASL::test_gssapi_missing
+)
+
+src_test() {
+ einfo "Starting rabbitmq"
+ # TODO: enable TLS?
+ local -x RABBITMQ_LOG_BASE="${T}/rabbitmq/log"
+ local -x RABBITMQ_MNESIA_BASE="${T}/rabbitmq/mnesia"
+ local -x RABBITMQ_LOGS="${T}/rabbitmq.log"
+ local -x RABBITMQ_PID_FILE="${T}/rabbitmq.pid"
+ local -x RABBITMQ_ENABLED_PLUGINS_FILE="${T}/rabbitmq/enabled_plugins"
+ /usr/libexec/rabbitmq/rabbitmq-server -p 5672:5672 &
+
+ einfo "Waiting for rabbitmq to fully load"
+ while ! { echo >/dev/tcp/localhost/5672 ; } &> /dev/null; do
+ sleep 1
+ done
+ einfo "rabbitmq is ready"
+
+ distutils-r1_src_test
+
+ einfo "Stopping rabbitmq"
+ kill "$(<"${RABBITMQ_PID_FILE}")" || die
+}
+
+python_test() {
+ epytest -k "not tls"
+}
+
+python_install_all() {
+ if use extras; then
+ insinto /usr/share/${PF}/extras
+ doins -r extra
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 82feb4cf5853..f6ac1be44040 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1,3 +1,3 @@
-DIST cachetools-7.1.7.tar.gz 40680 BLAKE2B 587de1ddfc5673655e76376d8b535a8f2fc759ae52e2be8c98921d4c1e98f1a5279bc6bb371b7410a4b3f8c01982686ef9b3d5494b282373e24458247f36ebf6 SHA512 b0ecf3cea4f94ea5297fc6ee5ab164b80154d9fc17f7cf7d8e292a8c7dfaa65b0d573c78276b41263006daae81a2e29702658d3c0a5688560fbe5058070a395a
DIST cachetools-7.1.8.tar.gz 40909 BLAKE2B 7079716f3eaaa3d2f70dbc6806920f08c971ef107c4dcdee83cf922ad22bdfbda8d1fa09b0c32c139e89c2e9390a1c8980ddddff81c100ee28fecd51a8e29ba0 SHA512 702f07689e1f6a0fd7f2bd614d198f936df85408cc0ca8ef15b96cc4e35dfb0a511377f0a62f92e3b388162e9975e45fbadf0130679b175c2cea853ace531ecf
DIST cachetools-7.2.0.tar.gz 41129 BLAKE2B 6d3f48391d2f515ac828834851d97abea7e1f0ec00fed4bf178c5afc484f6f0f913222dcc38f8bb3ede0a71fa946f0905ed9dacecf62f741a33cca1195bb496a SHA512 10d73a168633e51af9f33f9c1326c7146f264f028d0571f42852e31cbeaedf1a1f96a29e4b37169c155ca12ad9006f7fad58fccfed2bebea56fd5b200e8ddef4
+DIST cachetools-7.2.1.tar.gz 41357 BLAKE2B cbc87b5fd10a9ad03fe841f719a0223ac93e8ec04f56b600991f6d18a589761ffdc275dcf303b97522b09f4ded2f849b157f767eb7c889935b0eebf46ed00a13 SHA512 9a5a707cca4e8c176a68730e04b5cb17dd36c2ef41439407f3c2be3f3af6b7a8db0b22c74db856e16d03755de8aed09c7cb0fed2a814d3c551a588e99f99bad0
diff --git a/dev-python/cachetools/cachetools-7.1.7.ebuild b/dev-python/cachetools/cachetools-7.2.1.ebuild
index c3353be4b141..ec602b06cbfd 100644
--- a/dev-python/cachetools/cachetools-7.1.7.ebuild
+++ b/dev-python/cachetools/cachetools-7.2.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
EPYTEST_PLUGINS=()
distutils_enable_tests pytest
diff --git a/dev-python/filelock/Manifest b/dev-python/filelock/Manifest
index 64defa84f608..c1c032c72e66 100644
--- a/dev-python/filelock/Manifest
+++ b/dev-python/filelock/Manifest
@@ -8,6 +8,8 @@ DIST filelock-4.0.10.tar.gz 252487 BLAKE2B 4f0a06ca475abd9d59208e12fcee085ba2f36
DIST filelock-4.0.10.tar.gz.provenance 9528 BLAKE2B b3bdbde9cbdc340e8811b181907424836d82de88d0a41e7088770e7798ff2159ff08f8e5542af1fd920a54963fa69603b759451d5a33b3f51a1da28b6ef4007c SHA512 2454aabadcdd470bce52a72abe415f2e09eea923e682cf1c4f6d3470a0f9fa0090f16a58a4a4d56d6446678b66064bac07fab6a80c6287a4393b09a27d83f0ed
DIST filelock-4.0.11.tar.gz 253844 BLAKE2B 24e739a558c6124b18872076d8478beba6c852879f9f9d6c72a288b95aded4d1b67fbe2125583f098c500da8d3c2c5864dffdd979b2390bfe1938fb7d70bb491 SHA512 78a71d3a48d907f0f4ac22dbf8b3f0164b98ba6cbcb50d1af70ac35d3fb9c63664384210a1a6b7222bc2f3cf0a200b04a7b3ca80275b180f010f8cddbf7dd8ac
DIST filelock-4.0.11.tar.gz.provenance 9716 BLAKE2B 9ee982d6bd76b4d0485b7fd12aa52332d78b02e03442ac24d726a3863ae8d60546bd6da7a08a59f23dd82e8229ce65bdf72dba8dc9e42d14ba1716ae828f1392 SHA512 33d7e3fbd395ad9fb09b0e28d92ab280aa2f34127cef4f73a28fe7a2a9152c4f2684ae9c22d88fd333322f526d13470058eeead6ae8ec9ec6f1d7b84c63c8c55
+DIST filelock-4.0.12.tar.gz 253880 BLAKE2B 47eba66c04eda7510b5ed090648917a9b184ca0bafb1e95df296f04dafefee8454332a8aff5bbac27ea6e9b222102f73c5c0435ebc5adb73383be0af5b4c42f5 SHA512 98ab2f703d711af8083464652d719d2c9eb0a553d8450067eeb0db1ae26d5141fd4a55797f393e4826c341ab90014425569ff350c121f0593eded4df1ca1416a
+DIST filelock-4.0.12.tar.gz.provenance 9567 BLAKE2B c69b67128b1ff141328922e8c6ca0af37eb11730015d2d5908708252ea0c2f6d8ec238e296b3880468fb1aa41e1a6f0c529ce17884e63bab338580e702ea7ffe SHA512 d1f05f0421096bf9401c7f6f5df3decfdfcbd0c87a339821dfd3b82bf57c7788db85b855d818db3fedf5302e048b15ee601aaaff19f4734fafcbdb9225f32adb
DIST filelock-4.0.3.tar.gz 244309 BLAKE2B 2aab4f046d725ffe46cd27397a0b516e0286bc8092394ca296b25e8c46ce73a60c0c3f67901d27b87167b52ff4033b72ffb398b9ea792cec56498295b9d8867e SHA512 f26c433d80214d808201da95c599fde7abfdab4ce34746e064a42605a2753ef29f89c3e63509a3fd913f2dab8444658cd21edec0029222343f279807e062b997
DIST filelock-4.0.3.tar.gz.provenance 9837 BLAKE2B 33b41794f69ee186863d93a9dabf62efd0a1e77c6790ab02506e5853decf99c54d58f2c660754896c6017128d20da72dc0f1ed9f22622ec4562eb92dcf93a385 SHA512 c53042feccf33df09589300ad1ce8ee9cce85ab65a8a964f6ed95b42f659d632c82cfecdc6e5463d1a2ed76454898ae98439e7192ea0ba04e2b3ab6855884d96
DIST filelock-4.0.4.tar.gz 244639 BLAKE2B b6ad81938887361bec2d0ff60470467e26e20e97523973c96e1eb211a7b46918f8f70357002ec169d56db1d942486e0abfe4e2c79efbd05b37d50c0d4ee0339b SHA512 6f092fe7a52ee4de0df0209bed7658a4f146b59d3b83fbbf2c5db82a89c70e447e9c8b6445b12120082ca2218db1c1ca78317e1ef2ec1280ee00ee83a0ab40f9
diff --git a/dev-python/filelock/filelock-4.0.12.ebuild b/dev-python/filelock/filelock-4.0.12.ebuild
new file mode 100644
index 000000000000..51d73c002e05
--- /dev/null
+++ b/dev-python/filelock/filelock-4.0.12.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2018-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/tox-dev/filelock
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A platform independent file lock for Python"
+HOMEPAGE="
+ https://github.com/tox-dev/filelock/
+ https://pypi.org/project/filelock/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,mock,timeout} )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ tests/soft_rw/test_soft_rw_async.py::test_async_leaked_singleton_is_closed_on_teardown
+ tests/soft_rw/test_soft_rw_sync.py::test_leaked_acquired_singleton_is_closed_on_teardown
+)
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 100d704b2a96..ba16599107ec 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -12,3 +12,5 @@ DIST google_api_core-2.39.0.tar.gz 258568 BLAKE2B 98dbe72af6d5894eb4e1d12ce0daf2
DIST google_api_core-2.39.0.tar.gz.provenance 5917 BLAKE2B b083f5470a60e6e9e46d000c4444aca164d2b5eea7bfafec21b46c4c2a784bb38d1172e9c264f4a1f171efa4baad903d589a0e6722318ac793fbfaeb325d1c93 SHA512 954fea188521a72bedb824178eea2cfb1fe2976e329c66cee16684563fff60f51d3e2a6f270961c002bc3f562da25fb0490a1bf3d75f2affbf2eea1c2f75dd19
DIST google_api_core-2.40.0.tar.gz 258617 BLAKE2B 8f4fbf7d6f7cb07abc8d469d0bc0fd4b64477fe2f646f0f72be9665f1d2debf851e1ee29400358b96472e4eb75e63326d2667db26b3f4c3b2e141896fadafe7e SHA512 529eb131cbc2efe555b3d4d68bb45eb178e27a300dd214213bffd9f39d70f9bf53348fc7d5d9d053b7cc2886f03600d41b9f4789c13cf41dc4708480352ba6c4
DIST google_api_core-2.40.0.tar.gz.provenance 6058 BLAKE2B 238637ca846df09fd4c2c82b4bcfcda08cfd5bbd9a214ae592a47e9741d4833101dde492ec7573e48e6241f24356cdada0acfda36b91fb3480b54801909bc065 SHA512 cef6324a99f54a74f6473db32f58509801e11cd2a5628a1127bb0f3721518c678d390b8578c2814defea8670b730ad731601c7c41f1aeeb040009802a9485c50
+DIST google_api_core-2.41.0.tar.gz 262821 BLAKE2B 3e39e23f9285ad49557a3604451a39fb40289124198975532227c745fce740387375e2fdc24345041bf25ab61731d2f5415c8b0a04085531b837aad685e659dc SHA512 71b8b25e126c146068c0a8a348d893f78fdc9d057f44b67b536b0be49f06ae477c3a73f8e8883fe6dea6c4c2dcdb1c2ceb272ceb8b17dd9373fb84469d7b6f3d
+DIST google_api_core-2.41.0.tar.gz.provenance 5917 BLAKE2B bf95f467af1d754cc674d84759f49247d078dcd0dc23b429d3e362fd2837c0db4fc8413ad97550645b573ab2f182528969eb730e01566375152c2e36b6dee6d7 SHA512 b4125da55a260cee4122c12c7055f4d2ef7cabc8eb408857fe882f7a2beabe788f896cf762c896b5e109ebd31f9c2311afe776a42fbbe2f847cf389545a1a66f
diff --git a/dev-python/google-api-core/google-api-core-2.41.0.ebuild b/dev-python/google-api-core/google-api-core-2.41.0.ebuild
new file mode 100644
index 000000000000..2b11a77adbaf
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.41.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py@oss-exit-gate-prod.iam.gserviceaccount.com
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/google-cloud-python/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.69.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ <dev-python/opentelemetry-api-2[${PYTHON_USEDEP}]
+ >=dev-python/opentelemetry-api-1.44.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.26.1[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-6.33.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.33.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/opentelemetry-sdk-1.44.0[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,mock} )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+ epytest tests
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 2fff44eb1c0d..911a7c648aea 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -10,3 +10,5 @@ DIST google_auth-2.59.0.tar.gz 381025 BLAKE2B c9d80ed92e21b83fbf04d9c81a705573c1
DIST google_auth-2.59.0.tar.gz.provenance 6148 BLAKE2B 0c1ef17d9a22b223293fbdd365cf46fb4a620d3838160ea00213a41b15c958d1a4698d8b4cca45743cab43dcebb896e2cd5baaf1ed032ea56092af4f33c4ee1a SHA512 f9c45a31766e584fba8e3d6d58aa1843150c164749036be7b57b1db074bd1981cbae488583da457d198f7577d89916572431a394f76c1be6cd505f4e01ea64b8
DIST google_auth-2.59.1.tar.gz 384298 BLAKE2B 84d2ba502c16c48911c41ee0946a738802433935ef4606fc9738b250f6d3aafd0ae35b27e091d76f087598fb734c74d7c89c8c67965c76f0b033ada4d0717e3a SHA512 34ffd976e8d28032db0f79fa9973de24bb270265c4143e7c0e31f2be844d4f98d54376f4a2937089f4a2ce7cb8e1bc1b50b08aa7924b0bd22881cd8ce3408c24
DIST google_auth-2.59.1.tar.gz.provenance 5964 BLAKE2B 2af87b90da20fb89bcb630b4b6a01e96b53267ea6ad4f8bd9718872749f96aea3e9cc4db835202d9756712f2ef868d780d44929dfc03c4c80358edfa528f4f8b SHA512 efb9780179fb83b3932b5e1a2904950999bc837b4ed91093b071a1e6eda254cfce53a090605dc21039a54b26383890cce0c690a9cb11dd30f0fa3a8b8554abb1
+DIST google_auth-2.60.0.tar.gz 387015 BLAKE2B 6a6d3fb59bcc1e5b6b3206b7d47d66a8054a1f4c6a7707e2eb906d50a660c1177d618eb0d6ab82880211bebbb36e7514d7b01fdfe8f42dfd0d70b4de71c5fdaa SHA512 da6c9cbfdd3533b7516fe61a00546fc86462b76cd90293c980bc65f80bb82865d95ab4cc20fd7505e795a0a8223fae6781408b8e1e6bc25def62447c55b84fe8
+DIST google_auth-2.60.0.tar.gz.provenance 6105 BLAKE2B 066f8356f3bd80076c9ca7cda67cfaea180961ffbf7675ccf96004a385cf65af1b366f373c55edc53b8cda3ac80797f4dc896a82ae4a91e6e3fa6997761adcc9 SHA512 8bf03c723e593eabfac1042a66632c3d42db4d089f0fd1c93ead841479db1bf1e058fb63183125a5b096b6b0018977df6879dfc5bfff4fcaedbaf24fdf2ec797
diff --git a/dev-python/google-auth/google-auth-2.60.0.ebuild b/dev-python/google-auth/google-auth-2.60.0.ebuild
new file mode 100644
index 000000000000..e460c792a87a
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.60.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py@oss-exit-gate-prod.iam.gserviceaccount.com
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+# TODO: rsa is now optional
+RDEPEND="
+ >=dev-python/cryptography-41.0.5[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/aioresponses[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.0[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,localserver} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # tests are broken with up-to-date pyopenssl
+ tests/transport/test__mtls_helper.py::TestDecryptPrivateKey::test_success
+)
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin deps
+ sed -i -e 's:,<[0-9.]*::' setup.py || die
+}
diff --git a/dev-python/hcloud/Manifest b/dev-python/hcloud/Manifest
index f397cef8ceb6..ec7663bae443 100644
--- a/dev-python/hcloud/Manifest
+++ b/dev-python/hcloud/Manifest
@@ -2,3 +2,4 @@ DIST hcloud-python-2.23.0.gh.tar.gz 151968 BLAKE2B f5f0468a5c68192e1813bb5f08b0b
DIST hcloud-python-2.24.0.gh.tar.gz 152444 BLAKE2B 22463dae842f98e6b594c8bd04e3aa5ff1b1a48cfc8c161acf937da31b4fb6119f82ce72aa02224c757045d6b363e1316359356676066e93301803e36e5a7112 SHA512 1c9cbb03619f8f34eb0de354893d443707c855375571ea263df1ac19c4f55cae3fee474d6f28eb16260318d150b16d6977c4191d5c87d48a239eb33cf1fad276
DIST hcloud-python-2.25.1.gh.tar.gz 153888 BLAKE2B e135a5f91a4062a1d00c0e18262198e3fdda40056994920552362853c6c892a68ea557edca0beb6c9358d90338e898d2e5c217b7aaec0f6f78e02747355d0677 SHA512 61ae9f14fb01c53c45c48566c01af9f598a29352c9def9810739fc0377b0304ca1cf4c91995618f3f6e9ab4819f95bcb153279717655d2dd4dafe119a07aa596
DIST hcloud-python-2.26.0.gh.tar.gz 154791 BLAKE2B d28430fc30608fc2eb622d0318f62d3569ae9ed08a88730b3389f201137e8a823e943df87032c540fd697f6a28ad1df6bb8b629d8d37193bce5fdc1e3a84be09 SHA512 25bcc566150b1e241647067c931ab80cc76cbcc292488cf1739d93049b892a62064f9890a92fb614e862da6f1662a36a53b8034f6d3d94892518534c20cb7467
+DIST hcloud-python-2.27.0.gh.tar.gz 156527 BLAKE2B ecbfb7bd6d8bfcb25fa22940e1f55857482a0b421461dd65d635b9298dc1f5c1939c94ae6155542f6ca0132aca2d562de6f7ca1f27fb687dfb42abca0a107ae1 SHA512 3486927cbcaa5fa531fcbd0a09c628fbc7a0c51bbf997b082cd4f9947fec04fdb28ec44373680cd9b3b47d4a5da7dc5cf9f6a3de70fa9d11d347da731675d50c
diff --git a/dev-python/hcloud/hcloud-2.27.0.ebuild b/dev-python/hcloud/hcloud-2.27.0.ebuild
new file mode 100644
index 000000000000..9b729306ac26
--- /dev/null
+++ b/dev-python/hcloud/hcloud-2.27.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=hcloud-python-${PV}
+DESCRIPTION="Official Hetzner Cloud python library"
+HOMEPAGE="
+ https://github.com/hetznercloud/hcloud-python/
+ https://pypi.org/project/hcloud/
+"
+# sdist is missing doc assets as of 1.19.0
+# https://github.com/hetznercloud/hcloud-python/pull/183
+SRC_URI="
+ https://github.com/hetznercloud/hcloud-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.7.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ dev-python/myst-parser \
+ dev-python/sphinx-rtd-theme
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # Integration tests need docker:
+ # https://github.com/hetznercloud/hcloud-python/blob/master/.travis.yml#L16
+ tests/integration
+)
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index de37de4230c2..db0276544364 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,22 +3,26 @@ DIST crunchy-0.2.4.crate 3887 BLAKE2B f957597c82795eb10d43a6a98f7575e19b9484dcdf
DIST getrandom-0.3.4.crate 50932 BLAKE2B 34165a6994877aeaf3063affd48eb499512371a1fdc0d890feee598b5e22c14cb8347642a0e9374cd5d8a59a8281db839e45923769260312379321bef54c687d SHA512 43c44ec3ba0668f388519b2cefbee63f959f0e078730b3f7563742522e5f4b120472024b95fc94aeb90900a15d327c3573271bb26b2de4785e589a8bc1bc9da8
DIST half-2.7.1.crate 61040 BLAKE2B bd78abf71b1b0ae219d2293f8edd5084fa630150016c95786d0af38a898d2775ff73ce848c4b2bbf02c2ea2dc8a610b2e045df78892d2b1de28981e8033625a7 SHA512 f47cc8bfb4c754a8585d4e8eca1a35039dc0879e87e59acb72e91bf2d33eca8c4f8dd17b3a56e8953bcba62cb08122120866e9d4b3ab9f008847d86a5f81716d
DIST heck-0.5.0.crate 11517 BLAKE2B 5365ec43b2239a76b33a174f1a4292ece4147f9d382a68c6c60db78fdc8bad0afb1d51a65bcb25e96675372faa4ea37c318265030b0546ba51942f7c929e1835 SHA512 f044fc9c3d22466629fd8f772ec0555350fd611c0cfadca51d99a3d2f10e155f77c1091916c8a95a6b9b499f366c2e99a5fbf45b010f988bfb9b2501bf9f6a76
-DIST hypothesis-6.165.10.gh.tar.gz 9696772 BLAKE2B 12d76870dcd6f5a4e8d4495137cd3c4a7a6a35b79a36a4de9a3069dd4c0f485720b45ee0488491f8c6d0091af4c4cda3160197eb05e16834f7615be1ea0a9716 SHA512 1c41ab3816d8943b6addfcf21980521b2c2c35c5a744a265410d012350227dee72b782b1bfc39f3f5c76da4c1e4dc2b114ef2704218ae9f7dea16684f81ffc28
-DIST hypothesis-6.166.0.gh.tar.gz 9698294 BLAKE2B 282339254a6c8d0b97f39d956f521291f04a801c1a03c9b7122592ecf459c623331867c520d4ca60a9f33be9bee397992d193c50e5872babffd3feac8df874a0 SHA512 29e21f1e03b4139cc55e991f6875adcee79728f1b897bd761ad64a8dc3dafc1f413cd912bb8088d69fe98c3da1f897ea264ce917ebef1503c2d252c9a8e8b7ea
DIST hypothesis-6.167.1.gh.tar.gz 9702396 BLAKE2B 484559752fe8b3047df0ecd53d2eab79dc90ad83e6f98fddf18aebee6cfcbb845786bfa87f78186715f4e34f84ee628769ab274bb90366841c7e92ee35af92a5 SHA512 e38edc39515d5fe682804377fc75bf0d06c1db4d585cd30f2fb4cc6e95b5ff0da8b5928e475a6653f1e37f12003d4a293967d34b09132dcbf84bc737fa24154d
DIST hypothesis-6.168.0.gh.tar.gz 9712003 BLAKE2B f6d77a8df01f8c385b4d0f23126503460f6c9a3e397a865481f0e02cfab5fe68450d3e2dfc5fac15e75ad03a08c03652e88bbd36996abb6fac7b200e50fc89b3 SHA512 38c38b042f3c7e0617a29b37681ef661dd30b6941f60699c809808474c74b1b6d25b533d32f68bd570837739217933d8e9faf2e89762acf8ef80450fa1f4731d
DIST hypothesis-6.168.1.gh.tar.gz 9712065 BLAKE2B 7aa61ef58f527641192ad366330a9f4e2f8cc7a761ff1d64cf15f084e648a7d426d8e728881324e9be36c6775cd8bf987c09dab4b424bf9344bdb1b6c22d80a1 SHA512 b187073d81fb787e7a547fa625d7513eeadad99351fcfe118d7e602c78c4233068169f0e5f1ed4ef5477c7d85231f6ef3ca8fdec4b4b1bdf71ef3e52592087e0
DIST hypothesis-6.168.2.gh.tar.gz 9712765 BLAKE2B d3fc44380250a737fd78e6dd4696486d2f7299cca721a93b01c4220d8fc5a6457e133439a46f9ed7f25cee1298ef34cf4370d4230ddb968452492d1bc7feef48 SHA512 6bdc2c52be103805509bdda870d5e1eb2686b12b7acf3ec02148ab300621271f803177aa4c434510022e586a283ad6a2129027ef59fb15b604f060a2422113ad
+DIST hypothesis-6.168.4.gh.tar.gz 9712927 BLAKE2B 7eb0492041769b05668cbdc847c27dfbeecaf04238ce728cfc8c2d2dba83e906b96f6ea481ad63a2feb9858289bd274b58d4c28ca8da711cb4550d97ecd5aa86 SHA512 c3deeb889951ac216b0253d129c0b97baaa2a10ead9565b85c79e747c9732f1bf2c4becb2ee5766e38c91ec416df92aada3485641fd192ad063b24e059af9bff
DIST libc-0.2.186.crate 821883 BLAKE2B ebe7aac5f8937a8064c64a0d4dc72e5fc794080e09b96c6d245bdec0fd9a19d49ab38e25306e22e47564764cf5dcde45855237cffc70230a143eca2626bd5c3c SHA512 6a58e671ec6811dff9a0d7d4db8f37d38bcbca9efff20dad4706190e5cdb77b426567754bcf0ef0f2d0c31d6506401f724f3ca500b9bed57bb8605b1141ed690
DIST once_cell-1.21.4.crate 35010 BLAKE2B 9117ed1d478e626b7b7be2e3ff8b68a382b051112c7ca4425367bdae86977671f8b5c576131c82fb437740b6d98b72501f718f4172d39781decac2385e8fbd4d SHA512 af67669b0107f44268ba74c355200cb2ed1aab235a6989a8bc54323eb2c9a45677010f8672e7790edadd4c981e939436e0c3a099d33c06dce9c14fd5ede86155
DIST portable-atomic-1.13.1.crate 197001 BLAKE2B 6d0898c2a537a9bf204b7749cca5f5fddf280772b56eb7ce8fdd9cf7d71561137b26ef89f415c40277a1c89981333eef78e5bb4624515a294ba28fdaeb4c70ea SHA512 2a1b31ac9814af884640b3398ab824a9795c72d260527a0966b193113808cfbb3345d50cd1beaebb45863437c3d06c8706d34b26efecceefc649319a4bc274a3
DIST ppv-lite86-0.2.21.crate 22522 BLAKE2B 150b2ae019f296dc0a15090bcabcf4981bc58159d592b07da729565ef8976e3d1b4416381c6ecaac77874d8e259995254255c8831861ac20922b810753128cd4 SHA512 94710d5b25b67539cfa828476367849e1ecaca744f2e0429b48c05b47ec48cd57f950fb9845a361fbfd96f361ac00fd2d47cc27c584b79ce3d9d8fc133f5b7bc
DIST proc-macro2-1.0.106.crate 59765 BLAKE2B 87f95795621c4c992c370dc3a1240a2d5580e3362356525efe640f8f26ad0492b3c88755d575c080ff7db11376b0d82f31141bf6f86c895249b85e46c081220f SHA512 b726e2c92af434bfa88cd4f53c3fe6db647503567675fb439890dee3d15f5111137e3242b28d164114ce081c10acf3fd11950753ddb349190c87ee04e7d97744
DIST pyo3-0.29.2.crate 1255741 BLAKE2B 5187b7dc0f0b2b1441b451850f442a9cf7b8e65baab3c94996be80e39543350ce8739baccb2df0caae1049a4cf744274e4ca9a9d752887d09df5c03e380d42b0 SHA512 85326462a932fd49441f320a879192306a7a6f3a66468ca468fefdb3dff9a530b7895010f156c8c3b125279b94dd304b72825fd4bbdcaeba8e3a58bd8cdcc929
+DIST pyo3-0.29.3.crate 1261077 BLAKE2B a30b106b26b20a65dd2b58d26c817fd9d86f78d3b4f72ef5d73b3bcfc99b909ad021b722a2aa5795f0edf84e5f9077a53caf2686be8cf157a7bdfefd883dbef8 SHA512 809d8f84a08bc5f997f76a429edd53a8b500faa3aaa70846a174134d42f76352f3b023e2d235a9795c2fde6e52a088c5e20ac39fa97f370c50775906ae1f7f06
DIST pyo3-build-config-0.29.2.crate 41104 BLAKE2B b4a78b704ae7c6cd8393abd436fc5d4e9f984ad6f4c95f1fd069888865a516f1a65eaebeecc7bb61e6a0d62d637ff4312a8d6a31f2dabb262d0f3c5177abdf39 SHA512 ecae961c373a87eb13ed3881ac4954112bbf54b3e02eb287d818e44e5ab46cd4700220da5072dd1fb22d68435d012a413a3680b54505c700ee059f1472833b6a
+DIST pyo3-build-config-0.29.3.crate 41138 BLAKE2B dc1d0616ae9ac411ae8d4e8c44b0bc3eeb81e2584aabd89f49bcd15875ed9031eb9c92469081cf6ad7f723d5331d549de53008406f2fff432e0d8f509ca603c2 SHA512 d87177fc23ef7b625e78d10811cb160c68be79526c574ff05c42e8f5f96c7e3918558971f8459d9930a1fd5bdba46e482dbe59d03c25ec000f75a0a4073253dd
DIST pyo3-ffi-0.29.2.crate 90029 BLAKE2B f20803f6866a99767ce814984cc624783c2207ab54909deaba0a674c3c8f3e98c56bac80e1ea0e13b295634b0c6a713bd961b6c58aacbbc3be5fa9e224ff86e3 SHA512 a5b1db7e856af10f32ba3ce6a4dddc48a11f48431b82cbc1e40be88370836902afc9ab2918eb953d7fbed1ad7daaebefdf70489c7c798e591782e7dd6e2d0ddd
+DIST pyo3-ffi-0.29.3.crate 91291 BLAKE2B 1f7819e3925cc3898d91244fe7d0b22e2551640b2169e7fff68086e208aeff0caeac5927b68fb1bd638b53a8488e9e821ec9a371d2a9e0a64130c8a535e03dd8 SHA512 05ce591fa67a9768d6ec70bfa181007d9b7591b2a607edbe4eec26b243d52e1e75098057a7a533746ca80e70893eb0b16c0f4ccb8911776ba13057ba42dfaa92
DIST pyo3-macros-0.29.2.crate 9044 BLAKE2B f7caebd70dc9f54914d1d87e4c800f7bddc5d1e09835b0afd96e1f98320127660aa38f58b634ca196d823c926e279bf87c17506161a61bbae0908c51fc3b7eef SHA512 32281797e849ccb23c0ba03f8bea13ffcd86acfc3d5df65543c13befc03c142e88bfaf45f0cf5489cfe9e6acf9170ca6c24ced5d3f3f72be37bc7d2ce2bdb935
+DIST pyo3-macros-0.29.3.crate 9050 BLAKE2B 831954de983b2e805f89c1b280304ac068f056c9bb7c61837cf00db94470ddf7a06ccc004edbdd022e13aade5b46674c64b97bd175d3c03825ac38e6d8b9ba6f SHA512 3aebb40bc75fa1bb539dcf3d41034366bba721f0e12aa656dcf8b67f0b2043d5da2b19338b67f47529dea16a6fb7592d866b7224f477b9fc26bb682cf9d24bbd
DIST pyo3-macros-backend-0.29.2.crate 93749 BLAKE2B dce6aeef93fc8483dfffd5b514d21530ff499f241ac157e2ea304c8cd050e9fc1343d356a5a85dacb8a73d4d4405b89b4eab128f85fac54aa00f53298ab409a5 SHA512 944b8482e2a6fd0dce82eabe50f915d82b066cf11944e413ab81c01fc917dfe1877748cb8eb92f23d8acee43a9d1fb35f8690203ec440e7db7c66b03c7f27358
+DIST pyo3-macros-backend-0.29.3.crate 95162 BLAKE2B 1591b244bd601ca103ee59e0dadfa0b69f9b3372a93c9584a0881afb501922ed444f977d6f94cd08327c01367d225c75695a4761b577cd77116526b7cdc0e511 SHA512 ee8fc2ae0e5ef5a7328edbf50dcc972669248034889eea25790d901478c384865f2242b8f66778a016e84fb8c56d5f75bf08d02cf7bb7c7078a5c25b1bbf7c43
DIST quote-1.0.46.crate 31628 BLAKE2B b004131fc9942e278d3a89e9a68ea76098b94a488a4e5577074f59983809d92bb4803f759c47426a683191cc23bbe9783bbebbcbcaed6488d45a0e01b787cd36 SHA512 f51e65743b9f15b491d20bb6c3a0df921cfec29df8bafca36c9dde034b5117fe3f4eedcc258126c6cb1729be1ffde5fcf7e5b0fb0c3de4a618f46ab3cd803e77
DIST r-efi-5.3.0.crate 64532 BLAKE2B 54bc882e333f7ba52b6dd6ac92b8a282581c10b47de91a4c4b71b15a27b2df885ab52ae2fcc8a546367ee1ce98300dcaec3c33cbd7393b134383528540bb7d14 SHA512 e748db9729dbddf215d5c37630fa272197dd2921297800209ca7bfcd6ffd8530b598b944d95547ad9723655cafdfb69b1c1fade9ba5f8c2ac5c55ec38258fdad
DIST rand-0.9.4.crate 99786 BLAKE2B a6a3c106a8f89cc5f066497fa976b43f577a10b673f1023e28da03f116caec679d85108e112114485ea8536a8edf93f849314f27925081b3d2618d61c4e65f70 SHA512 3b78989d418b84dc00833237e1e83d93a263d67d9ef8570785d1917a7dc731103db1b790643def196d66bd8f163da49994742791a1b2d9da03f854a0176e68ac
diff --git a/dev-python/hypothesis/hypothesis-6.165.10.ebuild b/dev-python/hypothesis/hypothesis-6.165.10.ebuild
deleted file mode 100644
index f1f3ea75a998..000000000000
--- a/dev-python/hypothesis/hypothesis-6.165.10.ebuild
+++ /dev/null
@@ -1,143 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=maturin
-CLI_COMPAT=( python3_{12..15} )
-PYTHON_COMPAT=( python3_{13..14} )
-PYTHON_REQ_USE="threads(+),sqlite"
-
-RUST_MIN_VER="1.91.0"
-CRATES="
- cfg-if@1.0.4
- crunchy@0.2.4
- getrandom@0.3.4
- half@2.7.1
- heck@0.5.0
- libc@0.2.186
- once_cell@1.21.4
- portable-atomic@1.13.1
- ppv-lite86@0.2.21
- proc-macro2@1.0.106
- pyo3-build-config@0.29.2
- pyo3-ffi@0.29.2
- pyo3-macros-backend@0.29.2
- pyo3-macros@0.29.2
- pyo3@0.29.2
- quote@1.0.46
- r-efi@5.3.0
- rand@0.9.4
- rand_chacha@0.9.0
- rand_core@0.9.5
- syn@2.0.118
- target-lexicon@0.13.5
- unicode-ident@1.0.24
- wasip2@1.0.4+wasi-0.2.12
- wit-bindgen@0.57.1
- zerocopy-derive@0.8.53
- zerocopy@0.8.53
-"
-
-inherit cargo distutils-r1 optfeature
-
-DESCRIPTION="A library for property based testing"
-HOMEPAGE="
- https://github.com/HypothesisWorks/hypothesis/
- https://pypi.org/project/hypothesis/
-"
-SRC_URI="
- https://github.com/HypothesisWorks/hypothesis/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-S="${WORKDIR}/${P}/hypothesis"
-
-LICENSE="MPL-2.0"
-# Dependent crate licenses
-LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
-IUSE="cli"
-
-RDEPEND="
- >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
- cli? (
- $(python_gen_cond_dep '
- dev-python/black[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- ' "${CLI_COMPAT[@]}")
- )
-"
-BDEPEND="
- test? (
- >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
- dev-python/pexpect[${PYTHON_USEDEP}]
- >=dev-python/pytest-8[${PYTHON_USEDEP}]
- )
-"
-PDEPEND="
- dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
-"
-
-EPYTEST_PLUGIN_LOAD_VIA_ENV=1
-EPYTEST_PLUGINS=( "${PN}" pytest-xdist )
-EPYTEST_RERUNS=5
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-QA_PREBUILT="usr/lib/python.*/site-packages/hypothesis/_native.*"
-
-python_test() {
- # NB: paths need to be relative to pytest.ini, i.e. start with hypothesis/
- local EPYTEST_DESELECT=(
- # broken somehow (xdist?)
- 'hypothesis/tests/pytest/test_constant_collection_timing.py::test_constant_collection_timing[True]'
- )
- local EPYTEST_IGNORE=(
- # require syrupy
- tests/cover/test_custom_reprs.py
- )
-
- case ${EPYTHON} in
- python3.15*)
- EPYTEST_DESELECT+=(
- 'hypothesis/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types[sentinel]'
- 'hypothesis/tests/cover/test_lookup.py::test_resolves_builtin_types[sentinel]'
- 'hypothesis/tests/cover/test_lambda_formatting.py::test_modifying_lambda_source_code_returns_unknown[False]'
- )
- ;;
- esac
-
- local -x HYPOTHESIS_NO_PLUGINS=1
- epytest tests/{cover,pytest,quality}
-}
-
-src_install() {
- local HAD_CLI=
-
- distutils-r1_src_install
-
- if [[ ! ${HAD_CLI} ]]; then
- rm -r "${ED}/usr/bin" || die
- fi
-}
-
-python_install() {
- distutils-r1_python_install
- if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
- HAD_CLI=1
- else
- rm -r "${D}$(python_get_scriptdir)" || die
- fi
-}
-
-pkg_postinst() {
- optfeature "datetime support" dev-python/pytz
- optfeature "dateutil support" dev-python/python-dateutil
- optfeature "numpy support" dev-python/numpy
- optfeature "django support" dev-python/django dev-python/pytz
- optfeature "pandas support" dev-python/pandas
- optfeature "pytest support" dev-python/pytest
-}
diff --git a/dev-python/hypothesis/hypothesis-6.166.0.ebuild b/dev-python/hypothesis/hypothesis-6.168.4.ebuild
index bf665e6799ed..d6e8b8e38d1c 100644
--- a/dev-python/hypothesis/hypothesis-6.166.0.ebuild
+++ b/dev-python/hypothesis/hypothesis-6.168.4.ebuild
@@ -21,11 +21,11 @@ CRATES="
portable-atomic@1.13.1
ppv-lite86@0.2.21
proc-macro2@1.0.106
- pyo3-build-config@0.29.2
- pyo3-ffi@0.29.2
- pyo3-macros-backend@0.29.2
- pyo3-macros@0.29.2
- pyo3@0.29.2
+ pyo3-build-config@0.29.3
+ pyo3-ffi@0.29.3
+ pyo3-macros-backend@0.29.3
+ pyo3-macros@0.29.3
+ pyo3@0.29.3
quote@1.0.46
r-efi@5.3.0
rand@0.9.4
diff --git a/dev-python/jsonpath-ng/Manifest b/dev-python/jsonpath-ng/Manifest
index 7b8a936d7afd..7c77fd9e73cd 100644
--- a/dev-python/jsonpath-ng/Manifest
+++ b/dev-python/jsonpath-ng/Manifest
@@ -1 +1,2 @@
DIST jsonpath_ng-1.8.0.tar.gz 74513 BLAKE2B f8ba3f19bd106c7246a115175515f0b1ef066954356e06f7b289b754eac05aa7c91f56d44d36e4c04765e0ab7a2fc01ed887ee4c08c3b1d17f54087e73a21ada SHA512 64bf0c98193aff8f390c18f53713fbb41da075f93369f1d81c38d22ac63a86d1e502f59a67aaf1d39d0dc8d1b482bd1f73cc8e1bdf54b68a43b8725d109c9b7f
+DIST jsonpath_ng-1.9.0.tar.gz 78042 BLAKE2B 5fc11ee6847e16d9bd019d53a12345ebd3e5ee0f80a47c537468c139e57e0c3aaaafc3c446aa2731edea3daf14495b71416f78392529ea4775980e8019ad76c6 SHA512 c9c266e19cb279c1f0c0b7ae36f906baeb118bc7fa51909e36a23481fd1326b3ef79adc9904ee66315dcc1e96393a9e88330fd9a76f21d1c8962340d27c49cc9
diff --git a/dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild b/dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild
new file mode 100644
index 000000000000..507596d693df
--- /dev/null
+++ b/dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python JSONPath Next-Generation"
+HOMEPAGE="
+ https://github.com/jsonpath-ng/jsonpath-ng/
+ https://pypi.org/project/jsonpath-ng/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ply[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle ply (sigh)
+ rm -r src/jsonpath_ng/_ply || die
+ sed -i -e 's:jsonpath_ng[.]_ply:ply:' src/jsonpath_ng/*.py || die
+}
diff --git a/dev-python/narwhals/Manifest b/dev-python/narwhals/Manifest
index 70c5afdb5913..7377bd09a77f 100644
--- a/dev-python/narwhals/Manifest
+++ b/dev-python/narwhals/Manifest
@@ -1,5 +1,3 @@
-DIST narwhals-2.24.0.tar.gz 661143 BLAKE2B af72a6a3b2e6bed10ba77f7243c64fc454dcea1db4800366f7c6f2368360ed4b47f5a8a8aadb3a3c67b373c9166e9d492c93cfa8c7fea4b9899aafaae005e40b SHA512 701deb53fb9b188b37bdf1549fbd1b3092fceac161e0b073b0b7c5c57b55ab8cb1d766df3eefa43639ebb49bf0f768a37487779f20d74df77156e823a0bae94b
-DIST narwhals-2.24.0.tar.gz.provenance 9942 BLAKE2B 3db6a7198e6628468845ac6b46ab3db9ebef9d5f06822866f613c82d6bd5382bd272787276d5ecb811515c070d2c938673b1fa1b80d8f66ab1377f4fe326084b SHA512 be3f588387bb1f8d2b1b0091b3c0a14dd2a556f49ce0da996660bc0b3adc831e3f023d25759c1638e868eab4003dad35c32c939b8afa6148fe6fee222ba34a96
DIST narwhals-2.25.0.tar.gz 677076 BLAKE2B 3a1630bf71ca2f6dfa77c2702ef5f227de8d5d3e52ea563183edd6d3928386bb550206f1c9fffaf3c53599eaae051e8fa02facec8f607fec13a6573199571c9b SHA512 225190b5e31f3fd5ac514527bd8dcb3c50ae7f4abd3620ae1cf5a28b5f88b5c115b590705eb3c63de97dd8c5e172fd892286c3f896439815a3a83c076c18b3ba
DIST narwhals-2.25.0.tar.gz.provenance 10179 BLAKE2B 37ae8a1329c6676e349ad725e743d6eaff306a55fe4e1ce9a4a95ee0dd4d68cb41f4e92fa93ed8dbd98ca3460744b6dcc2894eb4a6ce979e2deb9de066a5f919 SHA512 89a3a5fab107d06b619de9a62b5c3a21a808ea117ba9517004fa6b715c16e5399020e60d5cac2d7278b9a3e689ed70e9dc56efad24e3900941774058d9274691
DIST narwhals-2.26.0.tar.gz 686970 BLAKE2B 145d115bb50f94519de8a734fc98f0473d4d7f4a2d2ede0035dfdaeb1e9d571f4950620127e4f9ca1ba79fe326e3985a72b81924a7449710d7f97217ff1aed92 SHA512 39f9273e785565b39aa4e34602e7484002dd515deb47ce457d48f1365b047bcd8c53cf66f8cd6ada024a9937b2224de6f8037b1beb8340c07317667fe7e54076
diff --git a/dev-python/narwhals/narwhals-2.24.0.ebuild b/dev-python/narwhals/narwhals-2.24.0.ebuild
deleted file mode 100644
index 659973ad0528..000000000000
--- a/dev-python/narwhals/narwhals-2.24.0.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 2025-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=uv-build
-PYPI_VERIFY_REPO=https://github.com/narwhals-dev/narwhals
-PYTHON_COMPAT=( python3_{13..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Extremely lightweight compatibility layer between dataframe libraries"
-HOMEPAGE="
- https://github.com/narwhals-dev/narwhals/
- https://pypi.org/project/narwhals/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64"
-
-BDEPEND="
- test? (
- >=dev-python/pandas-1.1.3[${PYTHON_USEDEP}]
- >=dev-python/pyarrow-13.0.0[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( hypothesis pytest-env )
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-python_test() {
- local EPYTEST_DESELECT=(
- # segfaults
- # https://github.com/apache/arrow/issues/47252
- 'tests/modern_polars/unpivot_test.py::test_unpivot[pyarrow]'
- # fragile to parallel merges that can cause non-atomic .dist-info
- # changes
- tests/system_info_test.py::test_get_deps_info
- )
-
- epytest --runslow --constructors="pandas,pandas[nullable],pandas[pyarrow],pyarrow"
-}
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 294e2822e0c4..6c3743f7e60a 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,3 +1,4 @@
DIST notebook-7.5.7.tar.gz 14171612 BLAKE2B 13fc91f63ddd5992e13d2f7b8805e90f940bbcf935ed89270e14e405f6f09dce39d7f5c5e2ba0150d05f5350235af749fe657935addb86281371465bb050aa8f SHA512 e92bfd6fe253e4b3468978c110acb43e98336595ebbfe39a0ed8b421926cb20d3c8f284f76cabd5108f3642d19fe446e79620bc99761b3214fa93301853370b2
+DIST notebook-7.5.8.tar.gz 14174934 BLAKE2B e588aaa5075456613e95a29902543df1efe614450e208e8589e58105c2acb20cb0d802794b8b09957f2da85ae0765a19048ec0766910ed8474e9bfedc154876b SHA512 5924cbf1a2ccbb49a70bb5b36b353d80a7b14a753dd1437b4a6c7c2e42438238b2be3e2e872e544f93a72eb957e3b07517954116bd149d28da994c01ef88d48c
DIST notebook-7.6.2.tar.gz 5500147 BLAKE2B ca17943a11b0a82162b736428ea79f7ae6582109c7398b204cad02ce0ae1812d72aa1ab2eba9ed19a5f29b6fb914c6b60b053ad5fa9b9021850df38eb8273911 SHA512 3dddba68f5f46577f19320f58ebc8daa0ad19dd6456af77e06b3c5f139586537f55706a5da0849210f52fc19e21ae3b27e4b0ba594a1e5820febc9d5241a9fe2
DIST notebook-7.6.3.tar.gz 5501618 BLAKE2B 68401b9b37b48774af3240cb14427ae7d2d01ab1f36e6eeb1b90bb2e2ce650cbc95a917dccafcbde55ce54a486d0e5bc601f85eefd382787acc5a3bf8f1717d6 SHA512 7b8395c5fcee0ce9faf0adb84a52078c4f556380702391880acc0436b1e1dddcb8d531a1dbb81a5950e458d415aaec8c664ef1d1df373665f0ff73576c41021d
diff --git a/dev-python/notebook/notebook-7.5.8.ebuild b/dev-python/notebook/notebook-7.5.8.ebuild
new file mode 100644
index 000000000000..5377fd2d80b7
--- /dev/null
+++ b/dev-python/notebook/notebook-7.5.8.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.5.11[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.6[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.28.0[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ >=dev-python/hatch-jupyter-builder-0.5[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.5[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.6[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,timeout,tornasync} )
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/pillow-heif/Manifest b/dev-python/pillow-heif/Manifest
index 6ce873bc1779..29f050c96e70 100644
--- a/dev-python/pillow-heif/Manifest
+++ b/dev-python/pillow-heif/Manifest
@@ -1,2 +1,3 @@
-DIST pillow_heif-1.4.0.tar.gz 17127538 BLAKE2B 6821dbae63906d783dfcd903641a7c85d83923fbe7c7895997784a6e56be2689cb831f801bd229eeccee908effbe4550f45f6db132ea0fc80b05d774e16863fb SHA512 1fce1e4ae596908e671ae6e7b58822a6bd99572be21752a416d4088ff29217e2ef465b65322a277a2280dbfea03aa8a4272302fdcf093d36d40134d32a01e884
DIST pillow_heif-1.5.0.tar.gz 17114105 BLAKE2B 0b7523f9ce8ba4108fafa4222445ddcfb3498b0099967754e6df3ffacb2566c9021d9c4ba92689bc52573dc8ee6ef75a360ff9abba58205fd69ba647c0cbcd50 SHA512 07157c9a8d3897414ef32ce357af551c78ca97417016e69dd0ba16f18737a5be5cdf941208f3977aac378cf82fb6cd5b766455f592f85fa1fe27ede134f1c42d
+DIST pillow_heif-1.8.0.tar.gz 17395353 BLAKE2B 984d0e538b97fdc6ad8abf90c41a76573b02ba84d742db20011fb597db1fa451915efb538c35157d59b1a7e9184326ca7314e2c0bd890ca810dbf1f1f3dfba05 SHA512 96c49ace25a55fcea4b0f832066b4dee5307e4d15c2c7c58a7203779185fedea250c8a0e9a89d4fb0f3a2daa79dacc3a727f252a9315e3424a797f13e5fa0380
+DIST pillow_heif-1.8.0.tar.gz.provenance 9767 BLAKE2B 0311682ee90c419b5114f7e582f57da83b95f3cc649ff2df6c3c469e2f5ed58365972b2dc18e26c7e33b91854a809e3407f7a8f45bc21cb3dc14f741e31dbe5a SHA512 0a39c15428f614661ccab5233444dfde5353ed714fdad477494a355980fc927b9e928bbb946306a8da293c39133cc962c6570790d7a6efbca5d5a54a29f74cba
diff --git a/dev-python/pillow-heif/pillow-heif-1.4.0.ebuild b/dev-python/pillow-heif/pillow-heif-1.8.0.ebuild
index 8de3074c5757..c060416eb969 100644
--- a/dev-python/pillow-heif/pillow-heif-1.4.0.ebuild
+++ b/dev-python/pillow-heif/pillow-heif-1.8.0.ebuild
@@ -6,6 +6,7 @@ EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{13..14} )
+PYPI_VERIFY_REPO=https://github.com/bigcat88/pillow_heif
inherit distutils-r1 pypi
DESCRIPTION="Python interface for libheif library"
@@ -20,14 +21,14 @@ KEYWORDS="~amd64"
RDEPEND="
dev-python/pillow[${PYTHON_USEDEP}]
- >=media-libs/libheif-1.19.0:=
+ >=media-libs/libheif-1.23.4:=
"
BDEPEND="
test? (
dev-python/defusedxml[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pillow[jpeg,lcms,webp,zlib,${PYTHON_USEDEP}]
- >=media-libs/libheif-1.19.0:=[x265]
+ >=media-libs/libheif-1.23.4:=[x265]
media-libs/opencv[png,python,${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/pycares/Manifest b/dev-python/pycares/Manifest
index 2db0e956cf1d..156ad7b4ff8b 100644
--- a/dev-python/pycares/Manifest
+++ b/dev-python/pycares/Manifest
@@ -1 +1,2 @@
DIST pycares-5.0.1.tar.gz 652222 BLAKE2B 29680da5ce1bfef6bd3fa6ad0d03cbbd4948cccf7d7d4deaa44960ccb33085b2ac3f8de7411239062e829cd8920fee84e7a5ce41e1e2d1da974aba10e1e60b33 SHA512 3cb23e36e9526b44398b1ffdf9223f0eec5f6e085b6276188329239d1e9a9ee173239691e39cbc9d7a4854a54e181bd200e2011bb3bf6741f79be81b46665348
+DIST pycares-5.1.0.tar.gz 674882 BLAKE2B 670de260fe4d6a34d8fa20ffdf6ef21f6753adb0d2e37aacb04dfe1984a0f4112af4dd7f3eee1341c7b82d907ce123db5a892e4d095cc11e3f8aee9993ef2ad0 SHA512 858d50f4620d12fb9ad4a7c8dc6d150da8a7ac39c4618672c995e8a4fe685a30ad1723f419a99b8c2a71d915b3f7af54b0726819907c4a343239c2f5d754a642
diff --git a/dev-python/pycares/pycares-5.1.0.ebuild b/dev-python/pycares/pycares-5.1.0.ebuild
new file mode 100644
index 000000000000..372158830647
--- /dev/null
+++ b/dev-python/pycares/pycares-5.1.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python interface for c-ares"
+HOMEPAGE="
+ https://github.com/saghul/pycares/
+ https://pypi.org/project/pycares/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+# Tests fail with network-sandbox, since they try to resolve google.com
+PROPERTIES="test_network"
+RESTRICT="test"
+
+DEPEND="
+ net-dns/c-ares:=
+"
+BDEPEND="
+ dev-python/cffi[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ dev-python/idna[${PYTHON_USEDEP}]
+ ${DEPEND}
+ ${BDEPEND}
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+export PYCARES_USE_SYSTEM_LIB=1
+
+EPYTEST_DESELECT=(
+ # https://github.com/saghul/pycares/issues/287
+ # looks like forgotten to update the expected class
+ tests/test_all.py::DNSTest::test_idna2008_encoding
+)
diff --git a/dev-python/sphinxcontrib-httpdomain/Manifest b/dev-python/sphinxcontrib-httpdomain/Manifest
index f2dd5232d031..cc1bdc761b16 100644
--- a/dev-python/sphinxcontrib-httpdomain/Manifest
+++ b/dev-python/sphinxcontrib-httpdomain/Manifest
@@ -1 +1,2 @@
DIST sphinxcontrib-httpdomain-2.0.0.gh.tar.gz 94266 BLAKE2B c41a58d108b0f86200b371b05b52e13ee9c7ad9f8e3ce6b67aa02cf884ff92c8a5e739e5072c316eebef8814f40ee0bae8045d9fa79f475b407716aba0c77418 SHA512 1dcc4b7cc072953ec8fd82b32370815b15a9a9f4da7db2b0ef499e325a85acf181fe232429c2b296155d1da74d11a1b128abbab505bec4640d690635aa8e1889
+DIST sphinxcontrib-httpdomain-2.1.0.gh.tar.gz 123627 BLAKE2B 6b9982d200b359e41775ea7dbc7f99eb5b6031dcbf7def55bf91963568ae32421f6349609aeea957da88c08f4ed6dcec31d5c88f1fc6afe81fbf1de8347ddb9a SHA512 30503c70b876bec89bc5fd022b682b01f5f591ec2912ce9dec80300590d134eeab867e27ad98d89c3889532760a6b87de0260457e359ef79a218c713e3e2d80f
diff --git a/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-2.1.0.ebuild b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-2.1.0.ebuild
new file mode 100644
index 000000000000..557a28a4cc7f
--- /dev/null
+++ b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-2.1.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=uv-build
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx domain for documenting HTTP APIs"
+HOMEPAGE="
+ https://pypi.org/project/sphinxcontrib-httpdomain/
+ https://github.com/sphinx-contrib/httpdomain/
+"
+SRC_URI="
+ https://github.com/sphinx-contrib/httpdomain/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/httpdomain-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/sphinx-6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/bottle-0.13.4[${PYTHON_USEDEP}]
+ >=dev-python/flask-3.1.2[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.5.4[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/svglib/Manifest b/dev-python/svglib/Manifest
index 0bfa15133444..41372e81f8e5 100644
--- a/dev-python/svglib/Manifest
+++ b/dev-python/svglib/Manifest
@@ -1,4 +1,4 @@
-DIST svglib-2.1.0.tar.gz 1371234 BLAKE2B 3007fb9155e8aee82246ed9b83798ff3d2f552cdc1a4a70134b2fa258ad5ed3597c43f935d32ebd6098e6106278d11556d9a82bcf8bf48fbe6b3e2340858f030 SHA512 c2b06501e8d70ce840d9390f71ed5676eb12e5ba6619b5eeb76db00f047cb16493c2e7cc36d98db9463dcd8289c797be181cca9c46ae6c52aff49b27c2b12d03
-DIST svglib-2.1.0.tar.gz.provenance 9664 BLAKE2B c5a51697da63fe4fada7973ce0e4fe251b0b0fc6cf22333d2db0a5f6c3ef7f592ec79ae57854f638b4d6514ad51f9c737bb25ca382143412b2d01f9aaa88afed SHA512 15fe742cf09c0a7624f7d685543d44d76ef2214f151c1c0bca6f9eefd9b5c2a32001f24ce8a1af55431d32943b5c02866113167ddb2fc4785a2014b1501275e1
DIST svglib-2.2.0.tar.gz 1373629 BLAKE2B 06d279719b4ce199e64f49e8db456ea99a95369b0b3fa03169c804eb616837eca3857493c44ff94cc98d0b2df73cb5ed7fbb89fa58a03180ea1f859f28b5f8d5 SHA512 b5c3927e25e7d21700b159acfa1ae34a211682d4eebf153886691eef353f30c51e63f1fd7d6103c542f7ffa8e8e5ea9d9bdb99caeb59003534ab550c1935ff1b
DIST svglib-2.2.0.tar.gz.provenance 9901 BLAKE2B a6363bb67a49484233e6da127aab85a20052b283d19386cb7f1580312044e0bc54d92fcefb62974c87bc57e516aeccca43041ec6c2bf6156f8f4c47d31ca443e SHA512 f29f317168caf485deb0fc54b46e2cbfaf79c0ccc7ac7999e1f74b2a67a9922a5df7927110a04e44325e35b2093ab564b9c77939ba9df9c1c1729462f8251d7b
+DIST svglib-2.3.0.tar.gz 1376107 BLAKE2B daf0b70d44be9e0bd23d1267ef925375da5d65479753c1908f79637cd9dd7dd2d45fa0c11d332aa745503b7b335ee27e31c15d7818d705f9ccb9ea4073f4dedc SHA512 3490e5c50c0b9ea81afa4bc60d37980969d56410fdf33f2f830e824f70669c6e2e37ba4b38cd48b3b4b75ebe3a2ef0d68da5cb880d3fa6fad68315c5cd8650f4
+DIST svglib-2.3.0.tar.gz.provenance 10089 BLAKE2B 4b0776350b1295a753e2b86b211d4d5d7e039c2a5669d8fc826ea8695914be95a676f4d446bc92600a6bf528d8235a89bde8709cd591acbca1b2b5a37b85174f SHA512 fa37954c4d91181ddb964b6f7874790a570daa130e0357eeb57ba6e06d1f5886fc30af1ee794961b6412d9ddf6955c65f9f398f97b31f9e7a6940bf9b0f72386
diff --git a/dev-python/svglib/svglib-2.1.0.ebuild b/dev-python/svglib/svglib-2.3.0.ebuild
index bdddbe8b3b5c..bdddbe8b3b5c 100644
--- a/dev-python/svglib/svglib-2.1.0.ebuild
+++ b/dev-python/svglib/svglib-2.3.0.ebuild
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 12849c76bb7a..607a16421b3f 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -14,3 +14,5 @@ DIST tox-4.64.7.tar.gz 321984 BLAKE2B 3ae079332becf523ce497acdf87a0a04e73143ee7f
DIST tox-4.64.7.tar.gz.provenance 9497 BLAKE2B c098d409abcdd43cc992e0578ae51832c0a289620ac7fb8790240e0df76dccebdf5acfde6514097c120fb77d829e83ad25a8a8ad6a47e04456515ea03cd2f193 SHA512 468d0a14daac3a5ae9921328594917740277712f949d3b4de1c8bf6080d1b4906a400db1ee621af70730d4410547da82a55264d0f7d8b7549f5ccf66383f206d
DIST tox-4.64.8.tar.gz 326058 BLAKE2B 2c9d954bed23e88cdf3d0dc8ad24db7ad9b8eaa8040be35bef516ef23532efd6e11f2e50e889f772734677b0f624397da0ab2936726187ad40cfb6abc4898883 SHA512 621918a943b4094387f0a67bfbaa656f1b481eac7f168c7e9b4ccf6bc515126c74671f6fec99456db9d1334bcb60996888eb3f1ae2bfcda016d0a782310eee9b
DIST tox-4.64.8.tar.gz.provenance 9156 BLAKE2B e4094d1cdd0d65a9cb65d35a18cf8fc6980b0bb7478ccc0057e038325e1368173b9fe3f54c391ca27addb73cd49b29dfac3d17fe5468f9be1767602d7298fc55 SHA512 b15a95e7a4fd9b67449740da39a58f2062688bb7df0ee60a7f44e1b082caf682cf8f7a9e4bc4255eb102443f659b9b18051a8069c4749875eeb328bff5a1590d
+DIST tox-4.64.9.tar.gz 331588 BLAKE2B de9f2da818c516b51492acdf437b3b16d7e06736d83c7e14ba094b96be00d67cb9d4c97261671d2a76ba0b1c67581d4287d127c175c8ce8e10d020eca6c9487a SHA512 284c5df3c6d76a7e913b225ad943ab27d40756f2f8df9fcf34df18c87ddc9149c9c5b1740cb6b66b513d478947dce13e16fd765efd430097afc5337c11534caf
+DIST tox-4.64.9.tar.gz.provenance 9544 BLAKE2B b1dd15e89b1e22227b138d4f5999aa926d3993cf28898f98c6b93eca23522de63675cbdeaa4c71590606143eaa5bfae14b77b61579ef1ea3d191e509c698d255 SHA512 61078355d7e17261071e375cb6c5181e764d29a028a5d288ae37243f22d3544194f123527ac10ad36cb6f1e926a59e511323223f771e8eb4aacb919cd5e8f653
diff --git a/dev-python/tox/tox-4.64.9.ebuild b/dev-python/tox/tox-4.64.9.ebuild
new file mode 100644
index 000000000000..9d80c8ee22b8
--- /dev/null
+++ b/dev-python/tox/tox-4.64.9.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+ dev-python/cachetools[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ dev-python/pyproject-api[${PYTHON_USEDEP}]
+ dev-python/python-discovery[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.15[${PYTHON_USEDEP}]
+ ' 3.12)
+"
+BDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/argcomplete[${PYTHON_USEDEP}]
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/distlib[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
+EPYTEST_RERUNS=3
+# upstream timeouts are quite short
+: ${EPYTEST_TIMEOUT:=180}
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # upstream lower bounds are meaningless
+ sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
+ tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
+ # require tombi
+ tests/session/cmd/test_schema.py::test_schema_tombi_lint
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+
+ epytest -o addopts=
+}
diff --git a/dev-python/urwid/Manifest b/dev-python/urwid/Manifest
index 2b50941eb0a0..eb429eb96904 100644
--- a/dev-python/urwid/Manifest
+++ b/dev-python/urwid/Manifest
@@ -1,5 +1,3 @@
-DIST urwid-4.0.13.tar.gz 891170 BLAKE2B e3307d19bfaff7e5c284757d4a3549328761219ff1b3a0205e4a3a99bc7dcfe024d41e526f7e65f44a3cd30d817f575ee21de344d5b0d5f26b6972236f398257 SHA512 a5cb11884da714afece626422ef8249e25086edd5e318f37e61890601cc0c671155a012502b6ee235f314bfa1ee138bddf1bc14064a8d85595a59eda4bf3e66e
-DIST urwid-4.0.13.tar.gz.provenance 9550 BLAKE2B 8ebde12f1b0326539ca3980d9e070f9cf2da3c32823ef5b5b061af28262dde869f3c92534305e4e8aae77b602eef08bfe675b0ace1f06c171ae45d9ed71522a3 SHA512 bd2c34da166f2eb712abe8c94bc63d9c954751a426868e15f98b5efb6a255cad80fd776ac752e9a869a9dabe20fdc791472a43347294910611699a5c594e66a5
DIST urwid-4.1.0.tar.gz 929987 BLAKE2B a66a8830bcad394ee4d6c7cb59533325f7dadcea1dfb0277ad130649b9da3879bbbf48f876d63241afba03d40ba9936b58156f2b7b4dde44bb752c9b26fd4d35 SHA512 f364bb288a0e2a2767fa7554da71a6d4b9a5fa4b84a65f9d44a30792c1744ce65705503d69921ca061a93d0a3478679ad7318e36a30e3ab6ef4f356051691a57
DIST urwid-4.1.0.tar.gz.provenance 9448 BLAKE2B 5b62f268c52e6b3f3565f2e37d805d614455004e8ec1051b0699036f5c8107f10e3e0c24a5fb55ee62c26df34510b9efdd049b9f4ac2e2f71b27c396ecb621a3 SHA512 acec0570ee000146a801f7511cb5bc92b4f342634afea8750cbffeb84f44fe094260c66924778e87cd68204f9b1888fea293b5591e2be97bb25fc935f7635b49
DIST urwid-4.1.1.tar.gz 931618 BLAKE2B e95dd2d7e6b3031bef3c18ad281061b4d28c4e94c0a37d7c2373bc5de3a9d95e0414cb175f725788e59ef5e0ff3258a8718ec07912433528e8eb4f8dac33bd83 SHA512 3c6e0fe1c6d88fe4ccacc62265d112cefa671a856c06061cab41dd63ed038dd38e7fffe23bd0d35e8c1e645b518284da5803960dd55022c3407fc17b7b268001
@@ -20,3 +18,5 @@ DIST urwid-4.2.3.tar.gz 346125 BLAKE2B 61535dd9f35753cbf2342806ef5151afa61b971bc
DIST urwid-4.2.3.tar.gz.provenance 9530 BLAKE2B 2b6b607f9bdaecf66a6ab2c575fbacbe2bb8f81f4bddc3dbc54dad236ee27384d98befb6d04fb474f40279a632cec1c3fbf57d9c3a9b0a1ad9bf7e957d954abd SHA512 a786d80207f7f80dd36cc4417479e51dacbcc4f97ed0e6377e885b1cc6e30ed7d5001bf9d6a1f94771851bfaf16c323c484736110cd86145d39d9716ded5521a
DIST urwid-4.2.4.tar.gz 346523 BLAKE2B 8dd4b36130a49d24208848b443db97b23c120753835854fd9d6851328203e3d4a67bfbf85cbb1ff4c105e9bb785f3596a9e53cbf08752447d8ade2ff14c391b8 SHA512 9c434f870d2ebc3aa92a76fd78c054751dbac34fedfbc3230676fd94b539ae58e01570e679170fa5eb518c3bc1e147198372080e4e9a015f23cc0a98da33af85
DIST urwid-4.2.4.tar.gz.provenance 9718 BLAKE2B 50ad796a7774394bb3039cfbebf330a3065b75bf10f545f487a5a1844b4c13c484fef48209751ddaf763775f9fc99b42ba176508fcb2564c3fd05c61ecc74b11 SHA512 d1dccf4fc0cc740a5dfe3b6ed3ddb3f0125affe96967262a6ae037bfe435394e7d8b5296502b841604f41580357492c0278492fdad47b236e5053f97a2094f1b
+DIST urwid-4.2.5.tar.gz 358848 BLAKE2B a4c3b59c0e6e8385717c913f09be17fc7c5d98e41fe383b50b1f77cd23098217f92ce10c102eab569df60a9732125fc182faa572c4936ccaf57b7dcc7f351322 SHA512 4f2e02cc23cd1974c0a86bbfe3c4b8cd9920b165af17dca8dd0997a7b8ae8da844ed2e4b0adf3fda38ff6d81d465c5a3db3efaf036454cbbd0116c4ae9107283
+DIST urwid-4.2.5.tar.gz.provenance 9573 BLAKE2B 0c9106034729a9ec09362530eec8b28eaa321cbed351589e1c91aec2835457888adca6f419329c1fd911b93c3bf55501fe7961cecc5510a79d6710d7ba626203 SHA512 5a6d55650432758adba326b4e1b1e4d3e43a61a18cacdc10398b536b24f3c16754afeda57c264182180f1e7f5bea650292607eb92aad7820c4e6e8a8037edc67
diff --git a/dev-python/urwid/urwid-4.0.13.ebuild b/dev-python/urwid/urwid-4.2.5.ebuild
index 1fdcf2e3eada..e9396e9ea561 100644
--- a/dev-python/urwid/urwid-4.0.13.ebuild
+++ b/dev-python/urwid/urwid-4.2.5.ebuild
@@ -19,12 +19,11 @@ HOMEPAGE="
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~sparc x86"
-IUSE="examples"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
RDEPEND="
dev-python/typing-extensions[${PYTHON_USEDEP}]
- >=dev-python/wcwidth-0.4[${PYTHON_USEDEP}]
+ >=dev-python/wcwidth-0.9.2[${PYTHON_USEDEP}]
"
BDEPEND="
dev-python/setuptools-scm[${PYTHON_USEDEP}]
@@ -36,12 +35,7 @@ distutils_enable_tests pytest
src_prepare() {
distutils-r1_src_prepare
- sed -i -e 's:--cov=urwid::' pyproject.toml || die
-}
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
+ sed -i -e 's:--cov --cov-report=term::' pyproject.toml || die
}
pkg_postinst() {